Bug 785164 - libvirt needs ipv6 support for ssh uris
Summary: libvirt needs ipv6 support for ssh uris
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.2
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Martin Kletzander
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
: 624626 (view as bug list)
Depends On: 624626 675991
Blocks: 787799
TreeView+ depends on / blocked
 
Reported: 2012-01-27 13:52 UTC by Dave Allan
Modified: 2018-11-28 21:48 UTC (History)
16 users (show)

(edit)
Cause
    libxml2 is parsing IPv6 URIs differently than expected
Consequence
    IPv6 connections with ssh used invalid IPv6 address, connection didn't work
Fix
    Parsed addresses were fixed internally in libvirt
Result
    IPv6 connections work properly
Clone Of: 675991
(edit)
Last Closed: 2012-06-20 06:47:27 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0748 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2012-06-19 19:31:38 UTC

Comment 3 Jiri Denemark 2012-02-09 10:33:56 UTC
BTW, there is an ancient bug 624626 reported against libxml2, which requests proper escaping of IPv6 address with '[' and ']' and removing those when parsing URIs. Having that fixed could save us from providing a wrapper for xmlParseURI.

Comment 4 Dave Allan 2012-02-10 21:07:37 UTC
Don't we have to deal with systems with the broken libxml2 anyway?

Comment 5 Dave Allan 2012-02-27 22:15:54 UTC
*** Bug 624626 has been marked as a duplicate of this bug. ***

Comment 9 xhu 2012-02-29 06:30:08 UTC
Verify it with libvirt-0.9.10-3.el6 and it passed.

The steps are as follows:
Prepare two machine: one client and one server
1. 
1.1 on client host
configure ipv6 global addr:
#ifconfig eth0 inet6 add 3ffe::101
1.2 on server host
configure ipv6 global addr
#ifconfig eth0 inet6 add 3ffe::102

2. 
on client host, execute remote access and issue the bellow command:
# virsh -c qemu+ssh://root@[3ffe::102]/system
root@3ffe::102's password: 
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh #

Comment 10 Martin Kletzander 2012-05-03 13:12:12 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    libxml2 is parsing IPv6 URIs differently than expected
Consequence
    IPv6 connections with ssh used invalid IPv6 address, connection didn't work
Fix
    Parsed addresses were fixed internally in libvirt
Result
    IPv6 connections work properly

Comment 12 errata-xmlrpc 2012-06-20 06:47:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0748.html


Note You need to log in before you can comment on or make changes to this bug.